# Returns a list of accounts for a consent.

Returns a list of accounts that contains the relevant account information

Endpoint: GET /stored-data/v1/consents/{consentId}/accounts
Version: all
Security: Bearer

## Path parameters:

  - `consentId` (string, required)
    Unique reference for the user consent

## Response 200 fields (application/json):

  - `accountId` (string,null)
    Unique identifier for the account at the institution

  - `currencyCode` (string,null)
    ISO4217 currency code for the account.

  - `displayName` (string,null)
    The user�s familiar name for the account.

  - `accountHolderNames` (string,null)
    The AccountHolderNames is the name or names of the account owner(s) represented at an account level.

  - `accountType` (string)
    Enum: "Business", "Personal"

  - `accountSubType` (string)
    Enum: "ChargeCard", "CreditCard", "CurrentAccount", "Emoney", "Loan", "Mortgage", "PrepaidCard", "Savings"

  - `identifiers` (object)

  - `identifiers.accountNumber` (string,null)
    The bank�s unique identifier for the account.

  - `identifiers.bankCode` (string,null)
    The national bank transit or transfer code used for identification of the bank assigned
by a central bank in a country, eg: A Routing number(US/CA) or Sort code(UK).

  - `identifiers.iban` (string,null)
    International Bank Account Number (IBAN).

  - `identifiers.bic` (string,null)
    Bank Identifier Code (BIC) is a standard format used to help identify banks worldwide.
BIC is needed when transferring money between banks,
in particular for international wire transfers.
BIC code is interchangeably used with SWIFT code

  - `identifiers.secondaryIdentification` (string,null)
    Additional information for identifying the account in the institution,
e.g., Building society Roll Number.

  - `parties` (array,null)
    List of account holders associated with the account.

  - `parties.partyId` (string,null)
    A unique and immutable identifier used to identify a specific party.
This identifier has no meaning to the account owner.

  - `parties.fullName` (string,null)
    Name by which a specific party is known and which is usually used to identify that party.

  - `parties.addresses` (array,null)
    Addresses associated with a specific party.

  - `parties.addresses.address` (string,null)
    Information that identifies an address of a specific party.

  - `parties.addresses.type` (string)
    A collection of address types.
    Enum: "Business", "Correspondence", "DeliveryTo", "MailTo", "POBox", "Postal", "Residential", "Statement"

  - `parties.addresses.city` (string,null)
    Information that identifies a specific city in the party address.

  - `parties.addresses.postcode` (string,null)
    Information that identifies a specific postcode in the party address.

  - `parties.addresses.country` (string,null)
    Information that identifies a specific country in the party address.

  - `parties.addresses.countrySubDivision` (string,null)
    Identifies a subdivision of a country e.g., state, region, county in the party address.

  - `parties.partyType` (string)
    Party type, in a coded form.
    Enum: "Delegate", "Joint", "Sole"

  - `parties.isIndividual` (boolean,null)
    Indicates the party is an individual and not a business.

  - `parties.isAuthorizingParty` (boolean,null)
    Indicates the party authorized the connection on behalf of a joint or business account.

  - `parties.emailAddress` (string,null)
    Email address of a specific party.

  - `parties.phoneNumbers` (array,null)
    Phone numbers which are linked to a specific party.

  - `parties.phoneNumbers.type` (string)
    A collection of different types of phone number.
    Enum: "Home", "Work", "Landline", "Mobile"

  - `parties.phoneNumbers.phoneNumber` (string,null)
    Collection of information that identifies a phone number.

  - `servicer` (object)

  - `servicer.name` (string,null)
    Name of the account servicer

  - `servicer.identification` (string,null)
    Unique identifier of the account servicer

## Response 500 fields (application/json):

  - `code` (string,null)
    Error code.

  - `description` (string,null)
    Error message.

  - `details` (string,null)
    Error details.

  - `correlationId` (string,null)
    User transaction tracking Id


## Response 401 fields

## Response 404 fields
